gtksourceviewmm: Gsv::CompletionProposal Class Reference

gtksourceviewmm 3.91.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gsv::CompletionProposal Class Reference

Completion proposal object. More...

`#include <gtksourceviewmm/completionproposal.h>`

Inheritance diagram for Gsv::CompletionProposal:
[legend]

## Public Member Functions
| CompletionProposal (CompletionProposal&& src) noexcept
CompletionProposal& | operator= (CompletionProposal&& src) noexcept
| ~CompletionProposal () noexcept override
GtkSourceCompletionProposal* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceCompletionProposal* | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_label () const
| Gets the label of a proposal.
Glib::ustring | get_markup () const
| Gets the label of a proposal with markup.
Glib::ustring | get_text () const
| Gets the text of a proposal.
Glib::RefPtr< Gdk::Pixbuf > | get_icon ()
| Gets the icon of a proposal.
Glib::RefPtr< const Gdk::Pixbuf > | get_icon () const
| Gets the icon of a proposal.
Glib::ustring | get_info () const
| Gets extra information associated to the proposal.
void | changed ()
| Emits the "changed" signal on a proposal.
guint | hash () const
| Get the hash value of a proposal.
bool | equal (const Glib::RefPtr< const CompletionProposal >& other) const
| Get whether two proposal objects are the same.
Glib::SignalProxy< void > | signal_changed ()
| Emitted when the proposal has changed.

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| CompletionProposal ()
| You should derive from this class to use it.
virtual void | on_changed ()
| This is a default handler for the signal signal_changed().

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gsv::CompletionProposal > | wrap (GtkSourceCompletionProposal* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Completion proposal object.

The proposal interface represents a completion item in the completion window. It provides information on how to display the completion item and what action should be taken when the completion item is activated.

Since gtksourceviewmm 2.10

## Constructor & Destructor Documentation

## ◆ CompletionProposal() [1/2]

Gsv::CompletionProposal::CompletionProposal | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ CompletionProposal() [2/2]

Gsv::CompletionProposal::CompletionProposal | ( | CompletionProposal&& | src | ) |
| noexcept

## ◆ ~CompletionProposal()

Gsv::CompletionProposal::~CompletionProposal | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_interface()

static void Gsv::CompletionProposal::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ changed()

void Gsv::CompletionProposal::changed | ( |  | ) |

Emits the "changed" signal on a proposal.

This should be called by implementations whenever the name, icon or info of the proposal has changed.

Since gtksourceviewmm 2.10

## ◆ equal()

bool Gsv::CompletionProposal::equal | ( | const Glib::RefPtr< const CompletionProposal >& | other | ) | const

Get whether two proposal objects are the same.

This is used to (together with hash()) to match proposals in the completion model. By default, it uses direct equality.

Parameters

  other | A CompletionProposal.

Returns
  `true` if a proposal and other are the same proposal.

Since gtksourceviewmm 2.10

## ◆ get_icon() [1/2]

Glib::RefPtr< Gdk::Pixbuf > Gsv::CompletionProposal::get_icon | ( |  | ) |

Gets the icon of a proposal.

Returns
  The icon of a proposal.

Since gtksourceviewmm 2.10

## ◆ get_icon() [2/2]

Glib::RefPtr< const Gdk::Pixbuf > Gsv::CompletionProposal::get_icon | ( |  | ) | const

Gets the icon of a proposal.

Returns
  The icon of a proposal.

Since gtksourceviewmm 2.10

## ◆ get_info()

Glib::ustring Gsv::CompletionProposal::get_info | ( |  | ) | const

Gets extra information associated to the proposal.

This information will be used to present the user with extra, detailed information about the selected proposal.

Returns
  The extra information of a proposal or empty string if no extra information is associated to a proposal.

Since gtksourceviewmm 2.10

## ◆ get_label()

Glib::ustring Gsv::CompletionProposal::get_label | ( |  | ) | const

Gets the label of a proposal.

The label is shown in the list of proposals as plain text. If you need any markup (such as bold or italic text), you have to implement get_markup().

Returns
  The label of a proposal.

Since gtksourceviewmm 2.10

## ◆ get_markup()

Glib::ustring Gsv::CompletionProposal::get_markup | ( |  | ) | const

Gets the label of a proposal with markup.

The label is shown in the list of proposals and may contain markup. This will be used instead of get_label() if implemented.

Returns
  The label of a proposal with markup.

Since gtksourceviewmm 2.10

## ◆ get_text()

Glib::ustring Gsv::CompletionProposal::get_text | ( |  | ) | const

Gets the text of a proposal.

The text that is inserted into the text buffer when the proposal is activated by the default activation. You are free to implement a custom activation handler in the provider and not implement this function.

Returns
  The text of a proposal.

Since gtksourceviewmm 2.10

## ◆ get_type()

static GType Gsv::CompletionProposal::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSourceCompletionProposal * Gsv::CompletionProposal::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSourceCompletionProposal * Gsv::CompletionProposal::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ hash()

guint Gsv::CompletionProposal::hash | ( |  | ) | const

Get the hash value of a proposal.

This is used to (together with equal()) to match proposals in the completion model. By default, it uses a direct hash.

Returns
  The hash value of a proposal.

Since gtksourceviewmm 2.10

## ◆ on_changed()

virtual void Gsv::CompletionProposal::on_changed | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_changed().

## ◆ operator=()

CompletionProposal& Gsv::CompletionProposal::operator= | ( | CompletionProposal&& | src | ) |
| noexcept

## ◆ signal_changed()

Glib::SignalProxy< void > Gsv::CompletionProposal::signal_changed | ( |  | ) |

Emitted when the proposal has changed.

The completion popup will react to this by updating the shown information.

Since gtksourceviewmm 2.10

Slot Prototype:
  `void on_my_changed()`

Flags: Run Last, Action

Emitted when the proposal has changed. The completion popup will react to this by updating the shown information.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gsv::CompletionProposal > wrap | ( | GtkSourceCompletionProposal * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.